Download it now!
Bug 87015 - WW8 import: image missing in particular document
Summary: WW8 import: image missing in particular document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.5.0 target:4.3.6 target:4.4.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2014-12-04 21:48 UTC by Chris
Modified: 2015-12-17 08:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Image with textbox doc (50.50 KB, application/msword)
2014-12-04 21:48 UTC, Chris
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris 2014-12-04 21:48:05 UTC
Created attachment 110471 [details]
Image with textbox doc

In MS Office 2010 this document appears to be a full page image with a text box over top. I tried opening with the latest stable release of LibreOffice as well as 4.4 beta 1. I get a blank page with both LibreOffice releases.
Comment 1 Jacques Guilleron 2014-12-05 18:44:03 UTC
Hi Chris,

I reproduce with 
LO  4.4.0.0.beta1 Build ID: 9af3d21234aa89dac653c0bd76648188cdeb683e
& Windows 7 Home Premium
This document can be opened correctly with LO 3.6.7.2 (Build ID: e183d5b). This is a regression.

I set Status to NEW.

Jacques
Comment 2 MM 2014-12-05 21:52:00 UTC
Last version that worked for me is Version: 4.1.6.2
Build ID: 40ff705089295be5be0aae9b15123f687c05b0a under mint 16 x64

Set to All.
Comment 3 Dave Richards 2015-01-02 13:42:27 UTC
Clearly seen in bibisect

70cea68b2de84c293ea8adbe2de81f75c23d0beb is the first bad commit
commit 70cea68b2de84c293ea8adbe2de81f75c23d0beb
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Thu Oct 17 12:15:48 2013 +0000

    source-hash-4a143c44fe7ad266ab9ab7dca317b0099b1438d0
    
    commit 4a143c44fe7ad266ab9ab7dca317b0099b1438d0
    Author:     Andras Timar <atimar@suse.com>
    AuthorDate: Thu Jun 13 16:18:29 2013 +0200
    Commit:     Gerrit Code Review <gerrit@vm2.documentfoundation.org>
    CommitDate: Thu Jun 13 15:15:03 2013 +0000
    
        Updated core
        Project: help  50f2902dc9d125c6ab5b379d5389364bb7bdf09c

:100644 100644 88d0da0595db38c08d152d0767e2c78ee0286eae 0cf6236b9d5dde5c57d4a12847bee37338c34630 M	ccache.log
:100644 100644 554c2684861e3ceffe574a5ddbb3346a90d92224 c9dc12cedacb3166e93d8a357364c623904f37ff M	commitmsg
:100644 100644 885f065ed99f5d8ee71841c77ad4a48275c72df3 d478f1a28e2f5762b631d2fffd30e63885d1fbfc M	dev-install.log
:100644 100644 fd4ad2dd5eec7738c780b33d28f6bdfdbebbeccc bcdfd152efb2c54f1b5be1ff400afd2e3c85502d M	make.log
:040000 040000 0e333dc18542aaa76b19508654b4406e5bab10ce 572b4cd4d3105d37cfd78bc6d44a3e166b8daa9c M	opt

# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [1d4980621741d3050a5fe61b247c157d769988f2] source-hash-89d01a7d8028ddb765e02c116d202a2435894217
git bisect bad 1d4980621741d3050a5fe61b247c157d769988f2
# bad: [ba096f438393091574da98fe7b8e6b05182a8971] source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
git bisect bad ba096f438393091574da98fe7b8e6b05182a8971
# bad: [9daa289e178460daaafa4b3911031df5b8736218] source-hash-704292996a3731a61339b1a4a5c90c9403aa095f
git bisect bad 9daa289e178460daaafa4b3911031df5b8736218
# bad: [69bf614869471f46413fe1d2af5976b2e6d85084] source-hash-76dea8b2db906156e77f78738a68f932a15afd4b
git bisect bad 69bf614869471f46413fe1d2af5976b2e6d85084
# good: [91c3e68c86f5b7143ab0de18c70c46de8314d6e1] source-hash-4e41227dd6af52ec562d10efcb365defba6bd36e
git bisect good 91c3e68c86f5b7143ab0de18c70c46de8314d6e1
# bad: [70cea68b2de84c293ea8adbe2de81f75c23d0beb] source-hash-4a143c44fe7ad266ab9ab7dca317b0099b1438d0
git bisect bad 70cea68b2de84c293ea8adbe2de81f75c23d0beb
# good: [d4078738db5f3c995eff2987d3ebdb0ac0aaf3ce] source-hash-3d5fb88cc0aa8ee6be6cec5ce0255f1412368519
git bisect good d4078738db5f3c995eff2987d3ebdb0ac0aaf3ce
Comment 4 Matthew Francis 2015-01-11 06:14:43 UTC
The content seems to have gone missing as of the below commit.

Adding Cc: to caolanm@redhat.com; Could you possibly have a look at this? Thanks


commit e0cce521f1ad0cc384d30ce2f1077ea229fffe62
Author:     Armin Le Grand <alg@apache.org>
AuthorDate: Thu Jan 10 16:28:40 2013 +0000
Commit:     Caolán McNamara <caolanm@redhat.com>
CommitDate: Thu Jun 13 14:50:46 2013 +0100

    Resolves: #i121504# Support for alpha channel in clipboard for all systems
    
    (cherry picked from commit ef3931ff410117e1237b3bef7bc090e8b83b9519)
Comment 5 Commit Notification 2015-01-12 13:30:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=470fcca594ba4f6bf473d4d44b415c2ba151b0d9

Resolves: fdo#87015 image missing from doc

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-01-12 15:58:37 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=643b9a71941dc8b3707d1ea64665cc70df20767a&h=libreoffice-4-3

Resolves: fdo#87015 image missing from doc

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-01-12 16:54:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c2d8b640793f665b15b42cda4ad2dcb9d843216d&h=libreoffice-4-4

Resolves: fdo#87015 image missing from doc

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Jacques Guilleron 2015-01-13 16:24:49 UTC
Works as expected with 
LO 4.5.0.0.alpha0+ Build ID: a405184aa972ca375f04205fd22f83d54952648d
TinderBox: Win-x86@42, Branch:master, Time: 2015-01-13_06:42:22 Locale: fr_FR
& Windows 7 Home Premium.
Thank you Caolán,

Jacques
Comment 9 Robinson Tryon (qubit) 2015-12-17 08:41:22 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]